# Ogre::GLXTimer Class Reference

`#include <OgreGLXTimer.h>`

Inheritance diagram for Ogre::GLXTimer:

List of all members.

## Public Member Functions

virtual void | reset ()
| Resets timer.
virtual unsigned long | getMilliseconds ()
| Returns milliseconds since initialisation or last reset.
virtual unsigned long | getMicroseconds ()
| Returns microseconds since initialisation or last reset.
virtual unsigned long | getMillisecondsCPU ()
| Returns milliseconds since initialisation or last reset, only CPU time measured.
virtual unsigned long | getMicrosecondsCPU ()
| Returns microseconds since initialisation or last reset, only CPU time measured.

## Protected Attributes

clock_t | zeroClock

## Private Attributes

timeval | start

## Member Function Documentation

virtual unsigned long Ogre::GLXTimer::getMicroseconds | ( |  | ) | `[virtual]`

| Returns microseconds since initialisation or last reset. Reimplemented from Ogre::Timer.

virtual unsigned long Ogre::Timer::getMicrosecondsCPU | ( |  | ) | `[virtual, inherited]`

| Returns microseconds since initialisation or last reset, only CPU time measured.

virtual unsigned long Ogre::GLXTimer::getMilliseconds | ( |  | ) | `[virtual]`

| Returns milliseconds since initialisation or last reset. Reimplemented from Ogre::Timer.

virtual unsigned long Ogre::Timer::getMillisecondsCPU | ( |  | ) | `[virtual, inherited]`

| Returns milliseconds since initialisation or last reset, only CPU time measured.

virtual void Ogre::GLXTimer::reset | ( |  | ) | `[virtual]`

| Resets timer. Reimplemented from Ogre::Timer.

## Member Data Documentation

struct timeval Ogre::GLXTimer::start `[private]`

| Definition at line 35 of file OgreGLXTimer.h.

clock_t Ogre::Timer::zeroClock `[protected, inherited]`

| Definition at line 39 of file OgreTimer.h.

The documentation for this class was generated from the following file:

- OgreGLXTimer.h

Copyright © 2000-2005 by The OGRE Team
Last modified Sun Nov 20 12:41:32 2005